<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>Editando {{auto.nickname}}</ion-title>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/perfil">
        Regresar
      </ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-list class="ion-padding">
    <ion-item>
      <ion-icon name="car-sport-outline" slot="start"></ion-icon>
      <ion-label position="floating">Apodo</ion-label>
      <ion-input [(ngModel)]="auto.nickname" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-icon name="id-card-outline" slot="start"></ion-icon>
      <ion-label position="floating">Placas</ion-label>
      <ion-input [(ngModel)]="auto.license_plates" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-icon name="calendar-outline" slot="start"></ion-icon>
      <ion-select placeholder="Año" [(ngModel)]="auto.year" value="auto.year">
        <ion-select-option  placeholder="Año" *ngFor="let year of years" [value]="year"> {{year}}
        </ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item (click)="openModalColor()">
      <ion-icon name="color-palette-outline" slot="start"></ion-icon>
      <ion-label>{{colorTxt}}</ion-label>
      <ion-icon name="ellipse" [style.color]="auto.color" slot="end"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-select [(ngModel)]="auto.fuel"  placeholder="Tipo de combustible" >
        <ion-select-option value="Regular">Regular</ion-select-option>
        <ion-select-option value="Premium">Premium</ion-select-option>
        <ion-select-option value="Diesel">Diesel</ion-select-option>
      </ion-select>
    <ion-icon name="flame-outline" slot="start"></ion-icon>
    </ion-item>
  </ion-list>
  <ion-button color="primary" (click)="confirmar()">Confirmar</ion-button>
</ion-content>
